<?php
include("connexion.php");

$query = isset($_GET['query']) ? $_GET['query'] : '';
$stmt = $db->prepare("SELECT * FROM bateaux WHERE nom_bateau LIKE :query");
$stmt->bindValue(':query', "%{$query}%", PDO::PARAM_STR);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

if (!empty($query)) {
    $stmt = $db->prepare("SELECT id_bateau FROM bateaux WHERE nom_bateau LIKE :query");
    $stmt->bindValue(':query', "%{$query}%", PDO::PARAM_STR);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($row) {
        $id_bateau = $row["id_bateau"];
        header("Location: pagereserv.php?bateau=$id_bateau");
        exit();
    }

    if (isset($_GET["bateau"])) {
        $bateau = $_GET["bateau"];
    } else {
        $bateau = "1";
    }
}

$requete = "SELECT * FROM bateaux";
$stmt = $db->query($requete);
$result1 = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="acceuil.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <title>résaweb</title>
</head>
<body>
<header>
    <a href="#" class="logo"><span>B</span>ateau</a>
    <ul class="navbar">
        <li><a href='#'>Accueil</a></li>
        <li><a href='#apropos'>A propos</a></li>
        <li><a href='#temoignage'>Temoignage</a></li>
        <a href="#" class="btn-reserve">  <form action="resaweb.php" method="GET">
            <input type="text" class="barrerecherche" name="query">
            <input type="submit" value="Recherche" placeholder="Type to Search...">
        </form></a>
    </ul>
</header>
<section class="banniere" id="banniere">
    <div class="contenu">
      
        <h1>Reservez votre voyage</h1>
        <p>6 bateaux reservable dans toute la france</p>
        <a href="#nos-bateaux" class="btn1">nos bateaux</a>
    </div>
</section>
<section class="apropos" id="apropos">
    <div class="row">
        <div class="col50">
            <h2 class="titre-texte"><span>À</span> Propos De Nous</h2>
            <p>Bateau est un site de reservation de bateau en ligne qui propose des experiances unique à partager seul ou entre amis. Skippeurs agéri ou débutants tout le monde peut trouver le bateau qu'il lui convient</p>
        </div>
        <div class="col50">
            <div class="img">
                <div class="js-slider">
                    <div class="js-photos">
                        <div class="js-photo">
                            <img src="./images/voilier-phare.jpg" alt="">
                        </div>
                        <div class="js-photo">
                            <img src="images/francet.png" alt="">
                        </div>
                        <div class="js-photo">
                            <img src="images/port_la_grande_motte.jpg" alt="    ">
                        </div>
                    </div>
                    <div class="js-navigation">
                        <button class="js-btn-decale-droite">
                            <span class="arrow"></span>
                        </button>
                        <button class="js-btn-decale-gauche">
                            <span class="arrow"></span>
                        </button>
                    </div>
                </div>
                <script src="./slider.js" charset="utf-8"></script>
            </div>
        </div>
    </div>
</section>
<section class="nos-bateaux" id="nos-bateaux">
    <div class="titre">
        <h2 class="titre-texte"><span>N</span>os bateaux</h2>
        Blablabla
    </div>
    <div class="contenu1">
        <?php foreach ($result1 as $row) { ?>
            <a href="pagereserv.php?bateau=<?= $row["id_bateau"] ?>"><div class="box">
                    <div class="imbox">
                        <img src="<?= $row["image"] ?>" alt="<?= $row["nom_bateau"] ?>">
                    </div>
                    <div class="text">
                        <h3><?= $row["nom_bateau"] ?></h3>
                    </div>
                </div></a>
        <?php } ?>
    </div>
</section>
<section class="temoignage" id="temoignage">
    <div class="titre">
        <h2 class="titre-texte">Que Disent Nos<span>C</span>lients</h2>
        <p>blablabal</p>
    </div>
    <div class="contenu1">
        <div class="box">
            <div class="imbox">
                <img src="./images/bateau-a-moteur3.jpg" alt="">
            </div>
            <div class="text">
                <p>BLablablablaaa</p>
                <h3>Louis BREUX</h3>
            </div>
        </div>
        <div class="box">
            <div class="imbox">
                <img src="./images/bateau-a-moteur3.jpg" alt="">
            </div>
            <div class="text">
                <p>BLablablablaaa BLablablablaa aLablablabla aaLablablabab ablaaaLab lablablaaa</p>
                <h3>Louis BREUX</h3>
            </div>
        </div>
        <div class="box">
            <div class="imbox">
                <img src="./images/bateau-a-moteur3.jpg" alt="">
            </div>
            <div class="text">
                <p>BLablablablaa aLablablabla aaLablablabab ablaaaLab lablablaaa BLablablablaa aLablablabla aaLablablabab ablaaaLab lablablaaa</p>
                <h3>Louis BREUX</h3>
            </div>
        </div>
    </div>
</section>
<footer>
    <div class="footer-left">
        <p class="text"> <a href="#">Bateau</a></p>
    </div>
    <div class="footer-middle">
        <p class="text">Nous Contacter</p>
    </div>
    <div class="footer-right">
    <li><a href='mentions.php'>Mentions Légales</a></li>
    </div>
</footer>

</body>
</html>
